- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists all Apigee runtime instances for the organization.
Note: Not supported for Apigee hybrid.
HTTP request
GET https://apigee.googleapis.com/v1/{parent=organizations/*}/instances
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Name of the organization. Use the following structure in your request: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Maximum number of instances to return. Defaults to 25. |
pageToken |
Page token, returned from a previous instances.list call, that you can use to retrieve the next page of content. |
Request body
The request body must be empty.
Response body
Response for instances.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"instances": [
{
object ( |
| Fields | |
|---|---|
instances[] |
Instances in the specified organization. |
nextPageToken |
Page token that you can include in a ListInstance request to retrieve the next page of content. If omitted, no subsequent pages exist. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform